// file: spmtch_size_0.cc
//

// isip include files
//
#include "subpath_match.h"
#include "subpath_match_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Subpath_match::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //

  // add the size of all numeric data
  //
  size += sizeof(int_4);                         // start_time_d
  size += sizeof(int_4);                         // end_time_d
  size += sizeof(float_4);                       // score_d 
  size += sizeof(int_4);                         // num_models_d
  size += sizeof(int_4);                         // start_time_pad_d
  size += sizeof(int_4);                         // end_time_pad_d

  // exit gracefully
  //
  return size;
}
